package jp.co.nri.rid.search;

import jp.co.nri.rid.xml.elementBooster;

/**
 * elementBooster と status フラグを保持するクラス
 */
class SPElementStatus {
    /** SCCS ID */
    private static final String SCCSID = "@(#)SPElementStatus.java";

    /** RCS ID */
    private static final String RCSID =
	"$Id: SPElementStatus.java,v 1.1 2002-10-02 14:19:51+09 nsmr Exp $";

    /** 未チェック */
    static final int UNCHECKED = 0;

    /** チェック中 */
    static final int CHECKING = 1;

    /** チェック済み */
    static final int DONE = 2;

    /** チェック進捗フラグ */
    int status = UNCHECKED;
    elementBooster element;

    /** コンストラクタ */
    SPElementStatus(elementBooster e) {
	element = e;
    }

    /**
     * elementBooster を返す
     */
    elementBooster getElement() {
	return element;
    }

    /**
     * status フラグを返す
     *
     * @return チェック進捗フラグ
     */
    int getStatus() {
	return status;
    }

    /**
     * status フラグを設定する
     * @param status チェック進捗フラグ。(UNCHECKED | CHECKING | DONE)
     */
    void setStatus(int status) {
	this.status = status;
    }
} /* class SPElementStatus */
